#2386 Add a --with-python3 configure option
Closed: Duplicate None Opened 5 years ago by jhrozek.

In order to support building our Python code for both Python 2 and Python 3, we should add a new configure-time option --with-python3 that would also build

If both stacks are selected, then unit tests should be ran against both interpreters as well.

See this sssd-devel thread for more details:
https://lists.fedorahosted.org/pipermail/sssd-devel/2014-July/020547.html


We'll try to implement this for F-21, but we're pretty swamped, so I'm marking this as minor and a candidate for deferral.

priority: major => minor
review: 0 => 1

Fields changed

rhbz: => 0

Fields changed

milestone: NEEDS_TRIAGE => SSSD 1.12.1

Mass-moving all tickets that didn't make 1.12.1 into 1.12.2

milestone: SSSD 1.12.1 => SSSD 1.12.2

We need to do a release as requested by downstream. Moving tickets that are not fixed already or very close to acking to 1.12.3

milestone: SSSD 1.12.2 => SSSD 1.12.3

python3 support is out of scope for 1.12.x

Patches welcome in the meantime.

mark: => 0
milestone: SSSD 1.12.3 => SSSD 1.13 beta

Closing as a duplicate of #2574

resolution: => duplicate
status: new => closed

Metadata Update from @jhrozek:
- Issue set to the milestone: SSSD 1.13.1

2 years ago

Login to comment on this ticket.

Metadata